const axios = require('axios')

module.exports = function (api) {
  api.loadSource(async store => {
    store.addMetaData('titreDuProjet', 'La métropole performative ?')
    store.addMetaData('sousTitre', 'Récits et échelles de la fabrique institutionnelle métropolitaine de rouen')
    store.addMetaData('auteurs', ['Jean Debrie','Xavier Desjardins'])

    // Ajout des chapitres
    let data_chapters = await axios.get('https://popsu.strapi.figli.io/chapitres')
    const chapterContent = store.addContentType({
      typeName: 'chapitres',
    })
    for (const item of data_chapters.data) {
      chapterContent.addNode({
        id: item.id,
        titre: item.titre,
        contenu: item.contenu,
        rubrique: item.rubrique,
      })
    }

    // Ajout des sections
    let data_sections = await axios.get('https://popsu.strapi.figli.io/sections')
    const sectionContent = store.addContentType({
      typeName: 'sections',
    })
    for (const item of data_sections.data) {
      sectionContent.addNode({
        id: item.id,
        titre: item.titre,
        contenu: item.contenu,
      })
    }

    // Ajout des fonds
    let data_fonds = await axios.get('https://popsu.strapi.figli.io/fonds')
    const fondContent = store.addContentType({
      typeName: 'fonds',
    })
    for (const item of data_fonds.data) {
      fondContent.addNode({
        id: item.id,
        url: item.image.url,
      })
    }

    // Ajout des crédits
    let data_credits = await axios.get('https://popsu.strapi.figli.io/credits')
    const creditContent = store.addContentType({
      typeName: 'credits',
    })
    for (const item of data_credits.data) {
      creditContent.addNode({
        id: item.id,
        nom: item.nom,
        role: item.role,
      })
    }

  })
}
